unit _frmScope;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VrControls, VrLabel, VrScanner, VrThreads, VrSpectrum, VrScope;

type
  TfrmScope = class(TForm)
    VrLabel1: TVrLabel;
    VrScanner: TVrScanner;
    VrLabel10: TVrLabel;
    VrIndicator: TVrIndicator;
    VrTimer: TVrTimer;
    VrSpectrum: TVrSpectrum;
    VrLabel2: TVrLabel;
    VrScope: TVrScope;
    VrLabel3: TVrLabel;
    procedure VrTimerTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure VrScopeNeedData(Sender: TObject; Channel: Integer;
      var Value: Integer);
  private
    { Private-Deklarationen }
    fDown: Boolean;
  public
    { Public-Deklarationen }
  end;

var
  frmScope: TfrmScope;

implementation

{$R *.dfm}

procedure TfrmScope.VrTimerTimer(Sender: TObject);
var
  i: Integer;
begin
  if fDown then
    VrIndicator.Position := VrIndicator.Position - 5
  else
    VrIndicator.Position := VrIndicator.Position + 5;

  if VrIndicator.Position = 100 then
    fDown := True;
  if VrIndicator.Position = 0 then
    fDown := False;

  for i := 0 to VrSpectrum.Count - 1 do
  begin
    VrSpectrum.Items[i].Position := Random(100);
  end;
end;

procedure TfrmScope.FormShow(Sender: TObject);
begin
  Randomize
end;

procedure TfrmScope.VrScopeNeedData(Sender: TObject; Channel: Integer;
  var Value: Integer);
begin
  Value := Random(100) + 1;
end;

end.
