unit urotary;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls,mmsystem, VrControls, VrRotarySwitch, StdCtrls, VrBlinkLed,
  VrTank, ExtCtrls;

type
  TForm1 = class(TForm)
    VrRotarySwitch1: TVrRotarySwitch;
    VrTank1: TVrTank;
    VrBlinkLed1: TVrBlinkLed;
    VrBlinkLed2: TVrBlinkLed;
    VrBlinkLed3: TVrBlinkLed;
    VrBlinkLed4: TVrBlinkLed;
    Timer1: TTimer;
    VrRotarySwitch2: TVrRotarySwitch;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure VrRotarySwitch1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure VrTank1OutofRange(Sender: TObject; var Min, Max,
      Pos: Double);
    procedure VrRotarySwitch2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  noRandom:integer;
implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  with VrRotarySwitch1.SwitchPositions do
  begin
    Add('Min Power');
    Add('Level 1');
    Add('Level 2');
    Add('Medium Power');
    Add('Level 4');
    Add('Level 5');
    Add('Max Power');
  end;
end;

procedure TForm1.VrRotarySwitch1Change(Sender: TObject);
begin
  mmsystem.sndPlaySound('sound.wav',SND_ASYNC);
  norandom := 100;
  case VrRotarySwitch1.SwitchPosition of
  0: begin
       VrBlinkLed1.EnableBlinking:=false;
       VrBlinkLed2.EnableBlinking:=false;
       VrBlinkLed3.EnableBlinking:=false;
       VrBlinkLed4.EnableBlinking:=false;
       norandom := 10;
     end;
  1:begin
       VrBlinkLed1.EnableBlinking:=true;
       VrBlinkLed2.EnableBlinking:=false;
       VrBlinkLed3.EnableBlinking:=false;
       VrBlinkLed4.EnableBlinking:=false;
       norandom := 20;
     end;
  2:begin
       VrBlinkLed1.EnableBlinking:=true;
       VrBlinkLed2.EnableBlinking:=true;
       VrBlinkLed3.EnableBlinking:=false;
       VrBlinkLed4.EnableBlinking:=false;
       norandom := 40;
     end;
  3:begin
       VrBlinkLed1.EnableBlinking:=true;
       VrBlinkLed2.EnableBlinking:=true;
       VrBlinkLed3.EnableBlinking:=true;
       VrBlinkLed4.EnableBlinking:=false;
       norandom := 60;
     end;
  4:begin
       VrBlinkLed1.EnableBlinking:=true;
       VrBlinkLed2.EnableBlinking:=true;
       VrBlinkLed3.EnableBlinking:=true;
       VrBlinkLed4.EnableBlinking:=true;
       norandom := 80;
     end;
  5: begin
      VrBlinkLed4.EnableBlinking:=false;
      norandom := 100;
     end;
  6: norandom:=1000;
  end;


end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if (VrTank1.Position < norandom) then
    VrTank1.Position := VrTank1.Position + random(2)
  else
  begin
    if (VrTank1.Position > 2) then
      VrTank1.Position := VrTank1.Position - random(2);
  end;
end;

procedure TForm1.VrTank1OutofRange(Sender: TObject; var Min, Max, Pos: Double);
begin
  label2.Visible := True;
  VrBlinkLed4.EnableBlinking := True;
end;

procedure TForm1.VrRotarySwitch2Change(Sender: TObject);
begin
   if VrRotarySwitch2.SwitchPosition = 1 then
   begin
     ShowMessage('Turned off');
     timer1.enabled := False;
   end
   else
   begin
     ShowMessage('Turned on');
     timer1.enabled := True;
   end;
end;

end.
