unit uscope;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, VrClasses, VrScope, StdCtrls, ComCtrls, VrScale, VrBorder,
  VrControls, VrDesign, VrLeds, VrBlotter, VrLcd, VrThreads, VrButtons;

type
  TForm1 = class(TForm)
    VrBlotter1: TVrBlotter;
    VrUserLed1: TVrUserLed;
    VrBlotter2: TVrBlotter;
    VrShadowButton1: TVrShadowButton;
    VrShadowButton2: TVrShadowButton;
    Label3: TLabel;
    UpDown3: TUpDown;
    Label1: TLabel;
    UpDown1: TUpDown;
    Label2: TLabel;
    UpDown2: TUpDown;
    VrBlotter3: TVrBlotter;
    VrScope1: TVrScope;
    VrScale1: TVrScale;
    VrNum2: TVrNum;
    VrNum3: TVrNum;
    VrNum4: TVrNum;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure UpDown3Click(Sender: TObject; Button: TUDBtnType);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
    procedure VrScope1NeedData(Sender: TObject; Channel: Integer;
      var Value: Integer);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
const
  PS: array[boolean] of PChar = ('START', 'STOP');
begin
  VrScope1.Active := not VrScope1.Active;
  VrUserLed1.Active := VrScope1.Active;
  VrShadowButton1.Caption := PS[VrScope1.Active];
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  VrScope1.Clear;
end;

procedure TForm1.UpDown3Click(Sender: TObject; Button: TUDBtnType);
begin
  VrNum2.Value := UpDown3.Position;
  VrScope1.Interval := VrNum2.Value;
end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  VrNum3.Value := UpDown1.Position;
  VrScope1.GridSize := VrNum3.Value;
end;

procedure TForm1.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
  VrNum4.Value := UpDown2.Position;
  VrScope1.Frequency := VrNum4.Value;
end;

procedure TForm1.VrScope1NeedData(Sender: TObject; Channel: Integer;
  var Value: Integer);
begin
  Value := Random(100) + 1;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  vrScope1.Channels[0].Visible := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  vrScope1.Channels[1].Visible := CheckBox2.Checked;
end;

end.
