unit _frmLeds;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VrControls, VrCheckLed, VrLabel, VrBlinkLed, VrMatrix,
  VrThreads, VrLights, VrImageLed, StdCtrls, VrProgressBar, VrLeds, VrDigit,
  VrBanner, VrScanner;

type
  TfrmLeds = class(TForm)
    VrBlinkLed: TVrBlinkLed;
    VrLabel1: TVrLabel;
    VrCheckLed: TVrCheckLed;
    VrLabel2: TVrLabel;
    VrMatrix: TVrMatrix;
    VrLabel3: TVrLabel;
    VrLights: TVrLights;
    VrLabel4: TVrLabel;
    VrTimer: TVrTimer;
    VrImageLed: TVrImageLed;
    VrLabel5: TVrLabel;
    VrDigitGroup: TVrDigitGroup;
    VrUserLed: TVrUserLed;
    VrProgressBar: TVrProgressBar;
    VrLabel6: TVrLabel;
    Label1: TLabel;
    VrLabel7: TVrLabel;
    Label2: TLabel;
    VrLabel8: TVrLabel;
    VrBanner: TVrBanner;
    VrLabel9: TVrLabel;
    procedure VrCheckLedChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure VrTimerTimer(Sender: TObject);
    procedure VrDigitGroupClick(Sender: TObject);
    procedure VrUserLedClick(Sender: TObject);
  private
    { Private-Deklarationen }
    fOn: Boolean;
    fDown: Boolean;
  public
    { Public-Deklarationen }
  end;

var
  frmLeds: TfrmLeds;

implementation

{$R *.dfm}

procedure TfrmLeds.VrCheckLedChange(Sender: TObject);
begin
  VrMatrix.AutoScroll := VrCheckLed.Checked
end;

procedure TfrmLeds.FormShow(Sender: TObject);
begin
  Randomize
end;

procedure TfrmLeds.VrTimerTimer(Sender: TObject);
begin
  FOn := not FOn;

  if FOn then
    VrLights.LedState := []
  else
    VrLights.LedState := [lsGreen, lsYellow, lsRed];

  VrImageLed.ImageType := TVrImageType(Random(11));

  if fDown then
  begin
    VrProgressBar.Position := VrProgressBar.Position - 5;
  end
  else
  begin
    VrProgressBar.Position := VrProgressBar.Position + 5;
  end;

  if VrProgressBar.Position = 100 then
    fDown := True;
  if VrProgressBar.Position = 0 then
    fDown := False;
end;

procedure TfrmLeds.VrDigitGroupClick(Sender: TObject);
begin
  VrDigitGroup.Value := VrDigitGroup.Value + 0.125;
end;

procedure TfrmLeds.VrUserLedClick(Sender: TObject);
begin
  VrUserLed.Active := not VrUserLed.Active;
end;

end.
